# swoole_process->setTimeout

设置管道读写操作的超时时间。
```php
function swoole_process->setTimeout(double $timeout)
```
* ` $timeout`单位为秒，支持浮点型，如`1.5`表示`1s`+`500ms`
* 设置成功返回`true`
* 设置失败返回`false`，可使用`swoole_errno`获取错误码

设置成功后，调用`recv`和`write`在规定时间内未读取或写入成功，将返回`false`，可使用`swoole_errno`获取错误码。

> 在`1.9.21`或更高版本可用  

使用实例
----
```php
$process = new \swoole_process(function(\swoole_process $process) {
    sleep(5);
});
$process->start();

$process->setTimeout(0.5);
$ret = $process->read();
```